Bug 1506986 - Review Request: mld2p4 - MultiLevel Domain Decomposition Parallel Preconditioners Package based on PSBLAS
Summary: Review Request: mld2p4 - MultiLevel Domain Decomposition Parallel Preconditio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1506949
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-27 10:53 UTC by Antonio T. (sagitter)
Modified: 2021-05-26 12:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-02 21:22:53 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2017-10-27 10:53:32 UTC
Spec URL:
https://copr-be.cloud.fedoraproject.org/results/sagitter/psblas/fedora-rawhide-x86_64/00655065-mld2p4/mld2p4.spec

SRPM URL:
https://copr-be.cloud.fedoraproject.org/results/sagitter/psblas/fedora-rawhide-x86_64/00655065-mld2p4/mld2p4-2.1.0-2.fc28.src.rpm

Description:
The MULTI-LEVEL DOMAIN DECOMPOSITION PARALLEL PRECONDITIONERS PACKAGE BASED
ON PSBLAS (MLD2P4) provides multi-level Schwarz preconditioners,
to be used in the iterative solutions of sparse linear systems:

				Ax=b

where $A$ is a square, real or complex, sparse matrix with a symmetric
sparsity pattern.
These preconditioners have the following general features:

- both additive and hybrid multilevel variants are implemented, i.e.
variants that are additive among the levels and inside each level,
and variants that are multiplicative among the levels and additive inside
each level; the basic Additive Schwarz (AS) preconditioners are obtained by
considering only one level;

- a purely algebraic approach is used to generate a sequence of coarse-level
corrections to a basic AS preconditioner, without explicitly using any
information on the geometry of the original problem
(e.g. the discretization of a PDE).
The smoothed aggregation technique is applied as algebraic coarsening strategy.

Fedora Account System Username: sagitter

This package is for Fedora and EPEL7.

Comment 2 Robert-André Mauchin 🐧 2017-10-29 20:18:49 UTC
Hello,

 - Just use:

Source0: https://github.com/sfilippone/mld2p4-2/archive/v%{version}/mld2p4-2-%{version}.tar.gz

 - Group: is not needed in Fedora (in serial-devel) 

 - Use pushd lib/popd instead of cd lib/cd .. (4 occurrences)

Trivial things, package is thus accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "NTP", "Unknown or generated", "GPL (v2 or
     later) (with incorrect FSF address)". 576 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/mld2p4
     /review-mld2p4/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/gfortran,
     /usr/include/mpich-x86_64, /usr/lib64/openmpi/lib,
     /usr/lib64/gfortran/modules, /usr/lib64/mpich, /usr/include/openmpi-
     x86_64, /usr/lib64/mpich/lib, /usr/lib64/gfortran/modules/mpich,
     /usr/lib64/openmpi, /usr/lib64/gfortran/modules/openmpi
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mld2p4-serial , mld2p4-serial-devel , mld2p4-common , mld2p4-openmpi ,
     mld2p4-openmpi-devel , mld2p4-mpich , mld2p4-mpich-devel ,
     mld2p4-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mld2p4-serial-2.1.0-3.fc28.x86_64.rpm
          mld2p4-serial-devel-2.1.0-3.fc28.x86_64.rpm
          mld2p4-common-2.1.0-3.fc28.noarch.rpm
          mld2p4-openmpi-2.1.0-3.fc28.x86_64.rpm
          mld2p4-openmpi-devel-2.1.0-3.fc28.x86_64.rpm
          mld2p4-mpich-2.1.0-3.fc28.x86_64.rpm
          mld2p4-mpich-devel-2.1.0-3.fc28.x86_64.rpm
          mld2p4-debugsource-2.1.0-3.fc28.x86_64.rpm
          mld2p4-2.1.0-3.fc28.src.rpm
mld2p4-serial.x86_64: W: summary-not-capitalized C mld2p4 serial mode
mld2p4-serial.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
mld2p4-serial.x86_64: W: spelling-error %description -l en_US preconditioners -> preconditions, precondition, conditioners
mld2p4-serial.x86_64: W: spelling-error %description -l en_US preconditioner -> preconditioned, precondition er, precondition-er
mld2p4-serial.x86_64: W: spelling-error %description -l en_US discretization -> discretionary, discretion, discrimination
mld2p4-serial.x86_64: W: no-documentation
mld2p4-serial-devel.x86_64: W: only-non-binary-in-usr-lib
mld2p4-serial-devel.x86_64: W: no-documentation
mld2p4-openmpi.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
mld2p4-openmpi.x86_64: W: spelling-error %description -l en_US preconditioners -> preconditions, precondition, conditioners
mld2p4-openmpi.x86_64: W: spelling-error %description -l en_US preconditioner -> preconditioned, precondition er, precondition-er
mld2p4-openmpi.x86_64: W: spelling-error %description -l en_US discretization -> discretionary, discretion, discrimination
mld2p4-openmpi.x86_64: W: no-documentation
mld2p4-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libmld_prec.so.2.1.0
mld2p4-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libmld_prec.so.2.1.0
mld2p4-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
mld2p4-openmpi-devel.x86_64: W: no-documentation
mld2p4-mpich.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
mld2p4-mpich.x86_64: W: spelling-error %description -l en_US preconditioners -> preconditions, precondition, conditioners
mld2p4-mpich.x86_64: W: spelling-error %description -l en_US preconditioner -> preconditioned, precondition er, precondition-er
mld2p4-mpich.x86_64: W: spelling-error %description -l en_US discretization -> discretionary, discretion, discrimination
mld2p4-mpich.x86_64: W: no-documentation
mld2p4-mpich.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libmld_prec.so.2.1.0
mld2p4-mpich.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libmld_prec.so.2.1.0
mld2p4-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
mld2p4-mpich-devel.x86_64: W: no-documentation
mld2p4-debugsource.x86_64: W: no-documentation
mld2p4.src: W: spelling-error %description -l en_US multi -> mulch, mufti
mld2p4.src: W: spelling-error %description -l en_US preconditioners -> preconditions, precondition, conditioners
mld2p4.src: W: spelling-error %description -l en_US preconditioner -> preconditioned, precondition er, precondition-er
mld2p4.src: W: spelling-error %description -l en_US discretization -> discretionary, discretion, discrimination
9 packages and 0 specfiles checked; 4 errors, 27 warnings.

Comment 3 Gwyn Ciesla 2017-10-30 23:41:03 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mld2p4

Comment 4 Antonio T. (sagitter) 2017-10-31 10:19:53 UTC
Thank you Robert.

Comment 5 Fedora Update System 2017-11-23 17:33:36 UTC
MUMPS-5.1.2-2.fc26 coin-or-Ipopt-3.12.8-5.fc26 mld2p4-2.1.0-5.fc26 petsc-3.8.1-1.fc26 petsc4py-3.8.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-afb986beb4

Comment 6 Fedora Update System 2017-11-25 01:35:23 UTC
MUMPS-5.1.2-2.fc26, coin-or-Ipopt-3.12.8-5.fc26, mld2p4-2.1.0-5.fc26, petsc-3.8.1-1.fc26, petsc4py-3.8.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-afb986beb4

Comment 7 Fedora Update System 2017-12-02 21:22:53 UTC
MUMPS-5.1.2-2.fc26, coin-or-Ipopt-3.12.8-5.fc26, mld2p4-2.1.0-5.fc26, petsc-3.8.1-1.fc26, petsc4py-3.8.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.